/* binout.c - output of parameters  */

#include <stdlib.h>
#include <stdio.h>
#include <malloc.h>
#include "binout.h"
#include "config.h"

/* just open the file */
void  open_bin_file (char *nameout) {
  fileout = fopen(nameout, "wb");
  if (fileout == NULL) {
    fprintf (stderr, "problem opening output bin file `%s'\n", nameout); 
    exit (1); 
  }
  return ; 
}

/* allocate for parameters - floats */
float * allocate_out_params (void) {
  void *ptr;
  float *f; 

  ptr = malloc (LEN_PARAMS * sizeof(float)); 
  if (ptr == NULL) {
    printf ("Bad malloc\n"); 
    exit (1); 
  }
  f = (float*)ptr; 
  return (f);
}

/* write out params */
void write_params (float *params) {
  fwrite (params, sizeof(float), LEN_PARAMS, fileout);
  return ; 
}

/* close the binary file */
void close_bin_file(void) {
  fclose (fileout); 
  return ; 
}
